// SPDX-FileCopyrightText: 2010-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef TOURNAMENTINFODIALOG_H
#define TOURNAMENTINFODIALOG_H

// Local classes
class SharedObjects;

// Local includes
#include "shared/TitleDialog.h"

// Qt classes
class QGridLayout;

class TournamentInfoDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit TournamentInfoDialog(QWidget *parent, SharedObjects *sharedObjects);

private: // Functions
    void addGroup(const QString &text);
    void addLabel(const QString &text);
    void addInfo(const QString &text, bool wordWrap = false);

private: // Variables
    QGridLayout *m_currentGroupLayout;
    int m_row;

};

#endif // TOURNAMENTINFODIALOG_H
